{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"A specific, existing section can be updated by making a PUT request on\nthe URL for that project. Only the fields provided in the `data` block\nwill be updated; any unspecified fields will remain unchanged. (note that\nat this time, the only field that can be updated is the `name` field.)\n\nWhen using this method, it is best to specify only those fields you wish\nto change, or else you may overwrite changes made by another user since\nyou last retrieved the task.\n\nReturns the complete updated section record.","properties":{"path":{"type":"object","properties":{"section_gid":{"type":"string","examples":["321654"],"description":"The globally unique identifier for the section."}},"required":["section_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_at","name","project","project.name","project.resource_subtype","projects","projects.name","projects.resource_subtype"]},"examples":[["created_at","name","project","project.name","project.resource_subtype","projects","projects.name","projects.resource_subtype"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/SectionRequest"}}}},"required":["path"],"additionalProperties":false,"definitions":{"SectionRequest":{"type":"object","properties":{"name":{"description":"The text to be displayed as the section name. This cannot be an empty string.","type":"string","examples":["Next Actions"]},"insert_before":{"description":"An existing section within this project before which the added section should be inserted. Cannot be provided together with insert_after.","type":"string","examples":["86420"]},"insert_after":{"description":"An existing section within this project after which the added section should be inserted. Cannot be provided together with insert_before.","type":"string","examples":["987654"]}},"required":["name"]}}},"name":"Update a section","id":"asana.updatesection","example":{"path":{"section_gid":"321654"}},"maxRequests":1,"summary":false}}